### Type parameters

- #### T

### Hierarchy

- ListItem

## Index

### Constructors

- constructor

### Properties

- item
- next
- previous

## Constructors

### constructor

- new ListItem(item: T, previous: Optional<ListItem<T>>, next: Optional<ListItem<T>>): ListItem

- - Defined in sortedList.ts:54

  #### Parameters

  - ##### item: T

  - ##### previous: Optional<ListItem<T>>

  - ##### next: Optional<ListItem<T>>

  #### Returns ListItem

## Properties

### item

item: T

- Defined in sortedList.ts:52

### next

next: Optional<ListItem<T>>

- Defined in sortedList.ts:54

### previous

previous: Optional<ListItem<T>>

- Defined in sortedList.ts:53

Generated using TypeDoc